> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tenbyte.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Reinstall VM

> Discard virtual machine's current storage state and overwrite it with an OS base image. Location-specific endpoint.



## OpenAPI

````yaml https://raw.githubusercontent.com/vidinfra/open-api-docs/refs/heads/main/cloud-api.json post /user-resource/vm/reinstall
openapi: 3.0.0
info:
  title: Tenbyte Cloud API
  version: 1.0.0
  description: >-
    API for managing cloud resources like Virtual Machines, Storage, Networks,
    and more on tenbytecloud.com.
servers:
  - url: https://api.tenbytecloud.com/v1
    description: Production server
security:
  - apikey-header-apikey: []
tags:
  - name: User
    description: User profile and SSH key management
  - name: Token
    description: API token management
  - name: Locations
    description: Available data centre locations
  - name: VM
    description: Virtual machine management
  - name: Block Storage
    description: Block storage disk management
  - name: Object Storage
    description: S3-compatible object storage management
  - name: Private networks
    description: Private network management
  - name: Floating IP
    description: Floating IP address management
  - name: Firewall
    description: Firewall management
  - name: Network Load Balancer
    description: Network load balancer management
  - name: Parameters
    description: VM creation parameters and image lists
paths:
  /user-resource/vm/reinstall:
    post:
      tags:
        - VM
      summary: Reinstall VM
      description: >-
        Discard virtual machine's current storage state and overwrite it with an
        OS base image. Location-specific endpoint.
      operationId: reinstallVm
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                uuid:
                  type: string
                os_name:
                  type: string
                os_version:
                  type: string
      responses:
        '200':
          description: Reinstalled VM
          content:
            application/json:
              schema:
                type: object
              example:
                name: web-server
                os_name: ubuntu
                os_version: 22.04-lts
                status: running
                uuid: 5aea1842-895f-4bd3-8bd6-e37b2282fb46
      security:
        - apikey-header-apikey: []
components:
  securitySchemes:
    apikey-header-apikey:
      type: apiKey
      in: header
      name: apikey

````